﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

using Infragistics.Windows.DockManager;

using System.Data;
using System.Data.SqlClient;
using Infragistics.Windows.DataPresenter;
using System.IO;
using Infragistics.Windows.Ribbon;
using System.Collections.ObjectModel;
using System.Data.SqlTypes;
using System.Xml;
using Infragistics.Windows.Editors;
using Microsoft.Win32;
// using iAnywhere.Data.AsaClient;

namespace VSS2XGUI
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    /// 
 

    public partial class MainScreen : Infragistics.Windows.Ribbon.XamRibbonWindow
    {
        protected DataView DBDataView;        

        public MainScreen()
        {
            InitializeComponent();
        }

        protected void Window_Loaded(object sender, RoutedEventArgs e)
        {
            Application.Current.ShutdownMode = ShutdownMode.OnMainWindowClose;

            // First Tab
            {
                ContentPane contentPane = new ContentPane();

                UsersContentControl ContentCtrl = new UsersContentControl();
                contentPane.Content = ContentCtrl;
                contentPane.Header = "User Accounts - 1";


                // Add the content pane to the tab group, get the date and activate the tab
                tabGroupPaneMainContent.Items.Add(contentPane);

                bool fDontAssignDatasourceToGrid = false;
                ContentCtrl.RefreshData(fDontAssignDatasourceToGrid);
                // contentPane.Activate();         
            }

            // Second Tab
            {
                ContentPane contentPane = new ContentPane();

                UsersContentControl ContentCtrl = new UsersContentControl();
                contentPane.Content = ContentCtrl;
                contentPane.Header = "User Accounts - 2";


                // Add the content pane to the tab group, get the date and activate the tab
                tabGroupPaneMainContent.Items.Add(contentPane);

                bool fDontAssignDatasourceToGrid = false;
                ContentCtrl.RefreshData(fDontAssignDatasourceToGrid);
                // contentPane.Activate();         
            }


            // Third Tab
            {
                ContentPane contentPane = new ContentPane();

                UsersContentControl ContentCtrl = new UsersContentControl();
                contentPane.Content = ContentCtrl;
                contentPane.Header = "User Accounts - 3";


                // Add the content pane to the tab group, get the date and activate the tab
                tabGroupPaneMainContent.Items.Add(contentPane);

                bool fDontAssignDatasourceToGrid = false;
                ContentCtrl.RefreshData(fDontAssignDatasourceToGrid);
                //contentPane.Activate();
            }

            // Fourth Tab
            {
                ContentPane contentPane = new ContentPane();

                UsersContentControl ContentCtrl = new UsersContentControl();
                contentPane.Content = ContentCtrl;
                contentPane.Header = "User Accounts - 4";


                // Add the content pane to the tab group, get the date and activate the tab
                tabGroupPaneMainContent.Items.Add(contentPane);

                bool fDontAssignDatasourceToGrid = false;
                ContentCtrl.RefreshData(fDontAssignDatasourceToGrid);
                // contentPane.Activate();
            }

            // Fifth Tab - (without data)
            {
                ContentPane contentPane = new ContentPane();

                UsersContentControl ContentCtrl = new UsersContentControl();
                contentPane.Content = ContentCtrl;
                contentPane.Header = "User Accounts - 5 (no data)";


                // Add the content pane to the tab group, get the date and activate the tab
                tabGroupPaneMainContent.Items.Add(contentPane);

                // bool fDontAssignDatasourceToGrid = false;
                // ContentCtrl.RefreshData(fDontAssignDatasourceToGrid);
                // contentPane.Activate();
            }

            // Sixth Tab - (without data)
            {
                ContentPane contentPane = new ContentPane();

                UsersContentControl ContentCtrl = new UsersContentControl();
                contentPane.Content = ContentCtrl;
                contentPane.Header = "User Accounts - 6 (no data)";


                // Add the content pane to the tab group, get the date and activate the tab
                tabGroupPaneMainContent.Items.Add(contentPane);

                // bool fDontAssignDatasourceToGrid = false;
                // ContentCtrl.RefreshData(fDontAssignDatasourceToGrid);
                // contentPane.Activate();
            }

            // ButtonNewUsersWindows_Click(null, null);
        }


        private void ButtonNewUsersWindows_Click(object sender, RoutedEventArgs e)
        {

            ContentPane contentPane = new ContentPane();
            
            UsersContentControl ContentCtrl = new UsersContentControl();
            contentPane.Content = ContentCtrl;            
            contentPane.Header = "User Accounts";
            

            // Add the content pane to the tab group, get the date and activate the tab
            tabGroupPaneMainContent.Items.Add(contentPane);
            
            bool fDontAssignDatasourceToGrid = false;
            ContentCtrl.RefreshData(fDontAssignDatasourceToGrid);
            
            contentPane.Activate();            

        }



        private void TextBoxSearch_KeyUp(object sender, KeyEventArgs e)
        {
            if (e.Key == Key.Enter)
            {
                MessageBox.Show("TextBoxSearch: KeyUp of Key.Enter" , "Enter Key", MessageBoxButton.OKCancel, MessageBoxImage.Information);
                e.Handled = true;
            }
        }

        private void TextBoxSearch_PreviewKeyUp(object sender, KeyEventArgs e)
        {
            if (e.Key == Key.Enter)
            {
                MessageBox.Show("TextBoxSearch: PreviewKeyUp of Key.Enter", "Enter Key", MessageBoxButton.OKCancel, MessageBoxImage.Information);
                e.Handled = true;
            }
        }
    }
}

